# host

Compute v2

The physical computer running a hypervisor.

## host list

DEPRECATED: List hosts

    openstack host list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--zone <zone>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--zone <zone>

  Only return hosts in the availability zone

## host set

DEPRECATED: Set host properties

    openstack host set
        [--enable | --disable]
        [--enable-maintenance
        |
        --disable-maintenance
        ]
        <host>

--enable

  Enable the host

--disable

  Disable the host

--enable-maintenance

  Enable maintenance mode for the host

--disable-maintenance

  Disable maintenance mode for the host

host

  Host to modify (name only)

## host show

DEPRECATED: Display host details

    openstack host show
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        <host>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

host

  Name of host

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.